curl --request GET \
--url https://flows.super.ai/api/service-accounts/{service_account_id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'import requests
url = "https://flows.super.ai/api/service-accounts/{service_account_id}"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/service-accounts/{service_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get a specific service account
Get details for a specific service account.
Returns service account information including status and token prefix. Note: Full token is never returned after creation.
Context:
- Users can only access accounts from their organization
- System accounts are accessible to all users
- Token prefix is shown for identification purposes
Related Endpoints:
- GET /service-accounts - List all accounts
- PATCH /service-accounts/ - Update account
Authorizations
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
UUID of the service account to retrieve
Response
Service account retrieved successfully
Response model for service account operations.
Human-readable name for this service account. Examples: 'API Documentation', 'Temporal Worker'.
255"API Documentation"
Current status of the service account. Valid values: 'active', 'inactive'. Only active accounts can authenticate.
"active"
Optional description explaining the purpose and usage of this account.
"Service account for API documentation generation"
UUID of the organization this account belongs to. NULL for system accounts.
"550e8400-e29b-41d4-a716-446655440000"